Error when attempting Certbot


#1

My domain is: zamozuan.com

I was using this guide: https://certbot.eff.org/lets-encrypt/ubuntutrusty-other

I ran this command: sudo certbot certonly

It produced this output:

2018-07-02 04:10:25,855:DEBUG:certbot.main:certbot version: 0.25.0
2018-07-02 04:10:25,855:DEBUG:certbot.main:Arguments: []
2018-07-02 04:10:25,855:DEBUG:certbot.main:Discovered plugins: PluginsRegistry(PluginEntryPoint#manual,PluginEntryPoint#null,PluginEntryPoint#standalone,PluginEntryPoint#webroot)
2018-07-02 04:10:25,892:DEBUG:certbot.log:Root logging level set at 20
2018-07-02 04:10:25,892:INFO:certbot.log:Saving debug log to /var/log/letsencrypt/letsencrypt.log
2018-07-02 04:10:25,893:DEBUG:certbot.plugins.selection:Requested authenticator None and installer None
2018-07-02 04:10:25,902:DEBUG:certbot.plugins.selection:Multiple candidate plugins: * standalone
Description: Spin up a temporary webserver
Interfaces: IAuthenticator, IPlugin
Entry point: standalone = certbot.plugins.standalone:Authenticator
Initialized: <certbot.plugins.standalone.Authenticator object at 0x7f63d3be4d30>
Prep: True

  • webroot
    Description: Place files in webroot directory
    Interfaces: IAuthenticator, IPlugin
    Entry point: webroot = certbot.plugins.webroot:Authenticator
    Initialized: <certbot.plugins.webroot.Authenticator object at 0x7f63d0570ef0>
    Prep: True
    2018-07-02 04:10:39,776:DEBUG:certbot.plugins.selection:Selected authenticator <certbot.plugins.webroot.Authenticator object at 0x7f63d0570ef0> and installer None
    2018-07-02 04:10:39,777:INFO:certbot.plugins.selection:Plugins selected: Authenticator webroot, Installer None
    2018-07-02 04:10:52,407:DEBUG:acme.client:Sending GET request to https://acme-v01.api.letsencrypt.org/directory.
    2018-07-02 04:10:52,465:DEBUG:urllib3.connectionpool:Starting new HTTPS connection (1): acme-v01.api.letsencrypt.org
    2018-07-02 04:10:59,481:DEBUG:certbot.log:Exiting abnormally:
    Traceback (most recent call last):
    File “/usr/lib/python3/dist-packages/urllib3/connection.py”, line 141, in _new_conn
    (self.host, self.port), self.timeout, **extra_kw)
    File “/usr/lib/python3/dist-packages/urllib3/util/connection.py”, line 60, in create_connection
    for res in socket.getaddrinfo(host, port, family, socket.SOCK_STREAM):
    File “/usr/lib/python3.4/socket.py”, line 533, in getaddrinfo
    for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
    socket.gaierror: [Errno -2] Name or service not known

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 600, in urlopen
chunked=chunked)
File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 345, in _make_request
self._validate_conn(conn)
File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 846, in _validate_conn
conn.connect()
File “/usr/lib/python3/dist-packages/urllib3/connection.py”, line 284, in connect
conn = self._new_conn()
File “/usr/lib/python3/dist-packages/urllib3/connection.py”, line 150, in _new_conn
self, “Failed to establish a new connection: %s” % e)
urllib3.exceptions.NewConnectionError: <urllib3.connection.VerifiedHTTPSConnection object at 0x7f63d056de80>: Failed to establish a new connection: [Errno -2] Name or service not known

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/lib/python3/dist-packages/requests/adapters.py”, line 440, in send
timeout=timeout
File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 649, in urlopen
_stacktrace=sys.exc_info()[2])
File “/usr/lib/python3/dist-packages/urllib3/util/retry.py”, line 388, in increment
raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host=‘acme-v01.api.letsencrypt.org’, port=443): Max retries exceeded with url: /directory (Caused by NewConnectionError(’<urllib3.connection.VerifiedHTTPSConnection object at 0x7f63d056de80>: Failed to establish a new connection: [Errno -2] Name or service not known’,))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/bin/certbot”, line 11, in
load_entry_point(‘certbot==0.25.0’, ‘console_scripts’, ‘certbot’)()
File “/usr/lib/python3/dist-packages/certbot/main.py”, line 1323, in main
return config.func(config, plugins)
File “/usr/lib/python3/dist-packages/certbot/main.py”, line 1197, in certonly
le_client = _init_le_client(config, auth, installer)
File “/usr/lib/python3/dist-packages/certbot/main.py”, line 642, in _init_le_client
acc, acme = _determine_account(config)
File “/usr/lib/python3/dist-packages/certbot/main.py”, line 521, in _determine_account
config, account_storage, tos_cb=_tos_cb)
File “/usr/lib/python3/dist-packages/certbot/client.py”, line 172, in register
acme = acme_from_config_key(config, key)
File “/usr/lib/python3/dist-packages/certbot/client.py”, line 50, in acme_from_config_key
return acme_client.BackwardsCompatibleClientV2(net, key, config.server)
File “/usr/lib/python3/dist-packages/acme/client.py”, line 721, in init
directory = messages.Directory.from_json(net.get(server).json())
File “/usr/lib/python3/dist-packages/acme/client.py”, line 1054, in get
self._send_request(‘GET’, url, **kwargs), content_type=content_type)
File “/usr/lib/python3/dist-packages/acme/client.py”, line 1003, in _send_request
response = self.session.request(method, url, *args, **kwargs)
File “/usr/lib/python3/dist-packages/requests/sessions.py”, line 502, in request
resp = self.send(prep, **send_kwargs)
File “/usr/lib/python3/dist-packages/requests/sessions.py”, line 612, in send
r = adapter.send(request, **kwargs)
File “/usr/lib/python3/dist-packages/requests/adapters.py”, line 504, in send
raise ConnectionError(e, request=request)
requests.exceptions.ConnectionError: HTTPSConnectionPool(host=‘acme-v01.api.letsencrypt.org’, port=443): Max retries exceeded with url: /directory (Caused by NewConnectionError(’<urllib3.connection.VerifiedHTTPSConnection object at 0x7f63d056de80>: Failed to establish a new connection: [Errno -2] Name or service not known’,))
2018-07-02 04:10:59,509:ERROR:certbot.log:An unexpected error occurred:
2018-07-02 04:12:08,643:DEBUG:certbot.main:certbot version: 0.25.0
2018-07-02 04:12:08,644:DEBUG:certbot.main:Arguments: []
2018-07-02 04:12:08,644:DEBUG:certbot.main:Discovered plugins: PluginsRegistry(PluginEntryPoint#manual,PluginEntryPoint#null,PluginEntryPoint#standalone,PluginEntryPoint#webroot)
2018-07-02 04:12:08,656:DEBUG:certbot.log:Root logging level set at 20
2018-07-02 04:12:08,658:INFO:certbot.log:Saving debug log to /var/log/letsencrypt/letsencrypt.log
2018-07-02 04:12:08,659:DEBUG:certbot.plugins.selection:Requested authenticator None and installer None
2018-07-02 04:12:08,854:DEBUG:certbot.plugins.selection:Multiple candidate plugins: * standalone
Description: Spin up a temporary webserver
Interfaces: IAuthenticator, IPlugin
Entry point: standalone = certbot.plugins.standalone:Authenticator
Initialized: <certbot.plugins.standalone.Authenticator object at 0x7fe04d309ef0>
Prep: True

  • webroot
    Description: Place files in webroot directory
    Interfaces: IAuthenticator, IPlugin
    Entry point: webroot = certbot.plugins.webroot:Authenticator
    Initialized: <certbot.plugins.webroot.Authenticator object at 0x7fe04d309d68>
    Prep: True
    2018-07-02 04:12:14,162:DEBUG:certbot.plugins.selection:Selected authenticator <certbot.plugins.webroot.Authenticator object at 0x7fe04d309d68> and installer None
    2018-07-02 04:12:14,163:INFO:certbot.plugins.selection:Plugins selected: Authenticator webroot, Installer None
    2018-07-02 04:12:19,705:DEBUG:acme.client:Sending GET request to https://acme-v01.api.letsencrypt.org/directory.
    2018-07-02 04:12:19,708:DEBUG:urllib3.connectionpool:Starting new HTTPS connection (1): acme-v01.api.letsencrypt.org
    2018-07-02 04:12:23,569:DEBUG:certbot.log:Exiting abnormally:
    Traceback (most recent call last):
    File “/usr/lib/python3/dist-packages/urllib3/connection.py”, line 141, in _new_conn
    (self.host, self.port), self.timeout, **extra_kw)
    File “/usr/lib/python3/dist-packages/urllib3/util/connection.py”, line 60, in create_connection
    for res in socket.getaddrinfo(host, port, family, socket.SOCK_STREAM):
    File “/usr/lib/python3.4/socket.py”, line 533, in getaddrinfo
    for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
    socket.gaierror: [Errno -2] Name or service not known

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 600, in urlopen
chunked=chunked)
File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 345, in _make_request
self._validate_conn(conn)
File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 846, in _validate_conn
conn.connect()
File “/usr/lib/python3/dist-packages/urllib3/connection.py”, line 284, in connect
conn = self._new_conn()
File “/usr/lib/python3/dist-packages/urllib3/connection.py”, line 150, in _new_conn
self, “Failed to establish a new connection: %s” % e)
urllib3.exceptions.NewConnectionError: <urllib3.connection.VerifiedHTTPSConnection object at 0x7fe04d306cf8>: Failed to establish a new connection: [Errno -2] Name or service not known

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/lib/python3/dist-packages/requests/adapters.py”, line 440, in send
timeout=timeout
File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 649, in urlopen
_stacktrace=sys.exc_info()[2])
File “/usr/lib/python3/dist-packages/urllib3/util/retry.py”, line 388, in increment
raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host=‘acme-v01.api.letsencrypt.org’, port=443): Max retries exceeded with url: /directory (Caused by NewConnectionError(’<urllib3.connection.VerifiedHTTPSConnection object at 0x7fe04d306cf8>: Failed to establish a new connection: [Errno -2] Name or service not known’,))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/bin/certbot”, line 11, in
load_entry_point(‘certbot==0.25.0’, ‘console_scripts’, ‘certbot’)()
File “/usr/lib/python3/dist-packages/certbot/main.py”, line 1323, in main
return config.func(config, plugins)
File “/usr/lib/python3/dist-packages/certbot/main.py”, line 1197, in certonly
le_client = _init_le_client(config, auth, installer)
File “/usr/lib/python3/dist-packages/certbot/main.py”, line 642, in _init_le_client
acc, acme = _determine_account(config)
File “/usr/lib/python3/dist-packages/certbot/main.py”, line 521, in _determine_account
config, account_storage, tos_cb=_tos_cb)
File “/usr/lib/python3/dist-packages/certbot/client.py”, line 172, in register
acme = acme_from_config_key(config, key)
File “/usr/lib/python3/dist-packages/certbot/client.py”, line 50, in acme_from_config_key
return acme_client.BackwardsCompatibleClientV2(net, key, config.server)
File “/usr/lib/python3/dist-packages/acme/client.py”, line 721, in init
directory = messages.Directory.from_json(net.get(server).json())
File “/usr/lib/python3/dist-packages/acme/client.py”, line 1054, in get
self._send_request(‘GET’, url, **kwargs), content_type=content_type)
File “/usr/lib/python3/dist-packages/acme/client.py”, line 1003, in _send_request
response = self.session.request(method, url, *args, **kwargs)
File “/usr/lib/python3/dist-packages/requests/sessions.py”, line 502, in request
resp = self.send(prep, **send_kwargs)
File “/usr/lib/python3/dist-packages/requests/sessions.py”, line 612, in send
r = adapter.send(request, **kwargs)
File “/usr/lib/python3/dist-packages/requests/adapters.py”, line 504, in send
raise ConnectionError(e, request=request)
requests.exceptions.ConnectionError: HTTPSConnectionPool(host=‘acme-v01.api.letsencrypt.org’, port=443): Max retries exceeded with url: /directory (Caused by NewConnectionError(’<urllib3.connection.VerifiedHTTPSConnection object at 0x7fe04d306cf8>: Failed to establish a new connection: [Errno -2] Name or service not known’,))
2018-07-02 04:12:23,572:ERROR:certbot.log:An unexpected error occurred:
2018-07-02 04:22:21,158:DEBUG:certbot.main:certbot version: 0.25.0
2018-07-02 04:22:21,159:DEBUG:certbot.main:Arguments: []
2018-07-02 04:22:21,159:DEBUG:certbot.main:Discovered plugins: PluginsRegistry(PluginEntryPoint#manual,PluginEntryPoint#null,PluginEntryPoint#standalone,PluginEntryPoint#webroot)
2018-07-02 04:22:21,202:DEBUG:certbot.log:Root logging level set at 20
2018-07-02 04:22:21,204:INFO:certbot.log:Saving debug log to /var/log/letsencrypt/letsencrypt.log
2018-07-02 04:22:21,205:DEBUG:certbot.plugins.selection:Requested authenticator None and installer None
2018-07-02 04:22:21,307:DEBUG:certbot.plugins.selection:Multiple candidate plugins: * standalone
Description: Spin up a temporary webserver
Interfaces: IAuthenticator, IPlugin
Entry point: standalone = certbot.plugins.standalone:Authenticator
Initialized: <certbot.plugins.standalone.Authenticator object at 0x7fd24f860f60>
Prep: True

  • webroot
    Description: Place files in webroot directory
    Interfaces: IAuthenticator, IPlugin
    Entry point: webroot = certbot.plugins.webroot:Authenticator
    Initialized: <certbot.plugins.webroot.Authenticator object at 0x7fd24f860dd8>
    Prep: True
    2018-07-02 04:22:24,706:DEBUG:certbot.plugins.selection:Selected authenticator <certbot.plugins.webroot.Authenticator object at 0x7fd24f860dd8> and installer None
    2018-07-02 04:22:24,707:INFO:certbot.plugins.selection:Plugins selected: Authenticator webroot, Installer None
    2018-07-02 04:22:31,309:DEBUG:acme.client:Sending GET request to https://acme-v01.api.letsencrypt.org/directory.
    2018-07-02 04:22:31,364:DEBUG:urllib3.connectionpool:Starting new HTTPS connection (1): acme-v01.api.letsencrypt.org
    2018-07-02 04:22:41,367:DEBUG:certbot.log:Exiting abnormally:
    Traceback (most recent call last):
    File “/usr/lib/python3/dist-packages/urllib3/connection.py”, line 141, in _new_conn
    (self.host, self.port), self.timeout, **extra_kw)
    File “/usr/lib/python3/dist-packages/urllib3/util/connection.py”, line 60, in create_connection
    for res in socket.getaddrinfo(host, port, family, socket.SOCK_STREAM):
    File “/usr/lib/python3.4/socket.py”, line 533, in getaddrinfo
    for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
    socket.gaierror: [Errno -2] Name or service not known

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 600, in urlopen
chunked=chunked)
File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 345, in _make_request
self._validate_conn(conn)
File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 846, in _validate_conn
conn.connect()
File “/usr/lib/python3/dist-packages/urllib3/connection.py”, line 284, in connect
conn = self._new_conn()
File “/usr/lib/python3/dist-packages/urllib3/connection.py”, line 150, in _new_conn
self, “Failed to establish a new connection: %s” % e)
urllib3.exceptions.NewConnectionError: <urllib3.connection.VerifiedHTTPSConnection object at 0x7fd24f85c9e8>: Failed to establish a new connection: [Errno -2] Name or service not known

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/lib/python3/dist-packages/requests/adapters.py”, line 440, in send
timeout=timeout
File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 649, in urlopen
_stacktrace=sys.exc_info()[2])
File “/usr/lib/python3/dist-packages/urllib3/util/retry.py”, line 388, in increment
raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host=‘acme-v01.api.letsencrypt.org’, port=443): Max retries exceeded with url: /directory (Caused by NewConnectionError(’<urllib3.connection.VerifiedHTTPSConnection object at 0x7fd24f85c9e8>: Failed to establish a new connection: [Errno -2] Name or service not known’,))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/bin/certbot”, line 11, in
load_entry_point(‘certbot==0.25.0’, ‘console_scripts’, ‘certbot’)()
File “/usr/lib/python3/dist-packages/certbot/main.py”, line 1323, in main
return config.func(config, plugins)
File “/usr/lib/python3/dist-packages/certbot/main.py”, line 1197, in certonly
le_client = _init_le_client(config, auth, installer)
File “/usr/lib/python3/dist-packages/certbot/main.py”, line 642, in _init_le_client
acc, acme = _determine_account(config)
File “/usr/lib/python3/dist-packages/certbot/main.py”, line 521, in _determine_account
config, account_storage, tos_cb=_tos_cb)
File “/usr/lib/python3/dist-packages/certbot/client.py”, line 172, in register
acme = acme_from_config_key(config, key)
File “/usr/lib/python3/dist-packages/certbot/client.py”, line 50, in acme_from_config_key
return acme_client.BackwardsCompatibleClientV2(net, key, config.server)
File “/usr/lib/python3/dist-packages/acme/client.py”, line 721, in init
directory = messages.Directory.from_json(net.get(server).json())
File “/usr/lib/python3/dist-packages/acme/client.py”, line 1054, in get
self._send_request(‘GET’, url, **kwargs), content_type=content_type)
File “/usr/lib/python3/dist-packages/acme/client.py”, line 1003, in _send_request
response = self.session.request(method, url, *args, **kwargs)
File “/usr/lib/python3/dist-packages/requests/sessions.py”, line 502, in request
resp = self.send(prep, **send_kwargs)
File “/usr/lib/python3/dist-packages/requests/sessions.py”, line 612, in send
r = adapter.send(request, **kwargs)
File “/usr/lib/python3/dist-packages/requests/adapters.py”, line 504, in send
raise ConnectionError(e, request=request)
requests.exceptions.ConnectionError: HTTPSConnectionPool(host=‘acme-v01.api.letsencrypt.org’, port=443): Max retries exceeded with url: /directory (Caused by NewConnectionError(’<urllib3.connection.VerifiedHTTPSConnection object at 0x7fd24f85c9e8>: Failed to establish a new connection: [Errno -2] Name or service not known’,))
2018-07-02 04:22:41,429:ERROR:certbot.log:An unexpected error occurred:

My web server is (include version): Some version of virtualmin/webmin - administration panel is corrupted so I must update through SSH exclusively

The operating system my web server runs on is (include version): ubuntu 14.04

My hosting provider, if applicable, is: NFOServers.com

I can login to a root shell on my machine (yes or no, or I don’t know): Yes

I’m using a control panel to manage my site (no, or provide the name and version of the control panel): No - control panel is corrupted

For more information, if I try logging in to the webmin/virtualmin control panel, no modules appear properly and all pages are blank. The software is corrupted somehow. So I have had to manage exclusively through SSH. Which has not been an issue until SSL.


#2

Does the system have a working DNS resolver?

What happens if you run “dig acme-v01.api.letsencrypt.org” and “dig acme-v01.api.letsencrypt.org AAAA”?


#3

#4

You need to fix the DNS resolver…

Edit: Does anything else work? Say, “dig google.com”?


#5

Google seems to work fine, also pings to google work. But not to lets encrypt.

I also tried settings nameservers to google (8.8.8.8 / 8.8.4.4) in resolvconf, did not seem to make any difference.

Not sure what’s going on here


#6

That’s really weird. It’s a .org domain with DNS operated by Akamai. It should be one of the most reliable things in the DNS.

What happens if you do, I don’t know…

dig mozilla.net SOA
dig eff.org
dig mozilla.org
dig publicsuffix.org

And – they’ll reveal your resolver’s IP, if they work:

dig whoami.ds.akahelp.net TXT
dig whoami.lua.mattnordhoff.net TXT

I have no idea what’s going on…

There’s some sort of DNS server on 127.0.0.1, but it could be anything. BIND, DNSMasq, dnscrypt-proxy… And that doesn’t explain why some things don’t resolve…


#7

mozilla: https://www.screencast.com/t/3lt72wplc2O
eff: https://www.screencast.com/t/UpfPCLblp9
mozilla.org: https://www.screencast.com/t/iAI37ESgfQgK
publicsuffix: https://www.screencast.com/t/dHdIbflIlD

whoami.ds: https://www.screencast.com/t/kZtK98PK3c2t
whoami.lua: https://www.screencast.com/t/u0NZD41AF


#8

As an update, in my /etc/network/interfaces file I found a DNS applied as my localhost. I removed this and left the google ,and it seems the DNS issue is resolved.

Thank you very much for assistance!

Now, I was able to run certbot. It claimed it completed successfully, but on the live site I don’t see any updates to the SSL yet.

Any advice on how to verify if it’s activated or troubleshoot if not?


#9

So you can access Akamai…

You seemingly can’t access .org domains…

My domain failed too.

At least one of the successful queries was oddly slow.

And 127.0.0.1 is your own recursive DNS server, though it could also forward under some circumstances.

And it’s in Dallas, not a remote island suffering from a submarine cable cut.

:confused:

In the “dig” output, it says the time is about “Jul 02 05:30 PDT 2018”. I don’t think that can possibly be correct. Unless maybe there’s another “PDT” time zone near the international date line.

What does it show if you run “date” and “date -u”?

If your clock was genuinely that far off, the DNSSEC signatures for the .org TLD would fail to validate; if the recursive DNS server is validating DNSSEC, it wouldn’t be able to resolve any .org domain. (whoami.lua.mattnordhoff.net would also fail for similar reasons.)

Edit:

That would also be consistent with it working if you bypass the DNS server by changing resolv.conf.

On the other hand, the Date header from the web server is accurate, so the system’s time is probably fine… At least now.

When you use “certbot certonly”, it creates a certificate, but doesn’t change your web server’s configuration to use it.

You can use “certbot --apache” instead, which will configure your web server automatically, or you can change the web server’s configuration to use the new certificate by hand.

(If you configure it manually, you should also set up a Certbot hook to reload Apache when the certificate is renewed.)

Just for fun, does “dig @127.0.0.1 letsencrypt.org” work now? And what time does it show?


#10

Results of that dig:

Okay regarding the web servers configuration, any easy way to tell? This server is using a very old Prestashop integration that I inherited, I’m not sure which server it runs on. I believe Prestashop uses nginx + apache? But I’m not 100% on this version.

All I know is the webmin/virtualmin configuration is broken so I can’t view or tweak the system through the panel, and have to do it all through SSH.


#11

From that dig output, the clock was incorrect before and is correct now, but it still can’t resolve the domain… :confounded: Maybe the DNS server doesn’t know the new time, or has cached the “fact” that the domain is bogus, or has another issue. Anyway.

I forgot you were using a control panel. :sweat:

This is a precarious situation, and I’m not sure what to do. It’s pretty important to fix the control panel. You can change the web server configuration – it probably wouldn’t be hard, since the web server supports HTTPS, it’s just using a different certificate – but the problem is that control panels usually like to control everything, so it could get confused or revert the configuration later.


#12

Hmm, I tried certbot apache, and was told the required plugin does not appear to be installed.

Yeah, I’m not sure how or if the install is even repairable for the panel. But until this point, configuring through SSH has seemed to run fine.

Here’s an example of what I see when logging in to webmin/virtualmin:

If I click any of the pages:

I’m assuming that right now, the panel is just being ignored. I don’t believe it’s doing any further changes to the system, and is “mostly” unmanaged right now.

This site is not really in use anymore - a new one is being designed. But I need at least the SSL updated as our images are being used on some other sites that require HTTPS security.

If I can not get SSL working, my only option would be to move all the images/etc to a new server. But I’m hoping to get this working and not to have to spend time on that last resort.


#13

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.